Name:           python-matroid
Version:        1.4.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Matroid API Python Library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/matroid/matroid-python
Source:         %{pypi_source matroid}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'matroid' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-matroid
Summary:        %{summary}

%description -n python3-matroid %_description


%prep
%autosetup -p1 -n matroid-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-matroid -f %{pyproject_files}


%changelog
%autochangelog